package cn.com.tenlion.systembase.pojo.vos.institution;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: InstitutionVO
 * @Description: 综治机构
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:24:40
 * @Version: 3.0
 **/
@ApiModel
public class InstitutionVO {

    @ApiModelProperty(name = "institutionId", value = "综治机构ID")
    private String institutionId;
    @ApiModelProperty(name = "institutionName", value = "机构名称")
    private String institutionName;
    @ApiModelProperty(name = "institutionTypeId", value = "机构类型ID")
    private String institutionTypeId;
    @ApiModelProperty(name = "institutionTypeText", value = "机构类型中文")
    private String institutionTypeText;
    @ApiModelProperty(name = "institutionLevelId", value = "机构等级ID")
    private String institutionLevelId;
    @ApiModelProperty(name = "institutionLevelText", value = "机构类型中文")
    private String institutionLevelText;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;


    public String getInstitutionId() {
        return institutionId;
    }

    public void setInstitutionId(String institutionId) {
        this.institutionId = institutionId;
    }

    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getInstitutionTypeId() {
        return institutionTypeId;
    }

    public void setInstitutionTypeId(String institutionTypeId) {
        this.institutionTypeId = institutionTypeId;
    }

    public String getInstitutionTypeText() {
        return institutionTypeText;
    }

    public void setInstitutionTypeText(String institutionTypeText) {
        this.institutionTypeText = institutionTypeText;
    }

    public String getInstitutionLevelId() {
        return institutionLevelId;
    }

    public void setInstitutionLevelId(String institutionLevelId) {
        this.institutionLevelId = institutionLevelId;
    }

    public String getInstitutionLevelText() {
        return institutionLevelText;
    }

    public void setInstitutionLevelText(String institutionLevelText) {
        this.institutionLevelText = institutionLevelText;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }
}
